Print Friendly

# Class YAHOO.ext.DomHelper

Package: | YAHOO.ext
Class: | DomHelper
Extends: | Object
Defined In: | DomHelper.js

Utility class for working with DOM and/or Templates. It transparently supports using HTML fragments or DOM. For more information see this blog post with examples.
This class is a singleton and cannot be created directly.

## Public Properties

Property | Defined By
--- | ---
| useDom : Boolean | DomHelper
True to force the use of DOM instead of html fragments

## Public Methods

Method | Defined By
--- | ---
| append(`HTMLElement el`, `Object o`, [`Boolean returnElement`]) : HTMLElement | DomHelper
Creates new Dom element(s) and appends them to el
| applyStyles(`String/HTMLElement el`, `String/Object/Function styles`) : void | DomHelper
Applies a style specification to an element
| createTemplate(`Object o`) : YAHOO.ext.DomHelper.Template | DomHelper
Creates a new YAHOO.ext.DomHelper.Template from the Dom object spec
| insertAfter(`HTMLElement el`, `Object o`, [`Boolean returnElement`]) : HTMLElement | DomHelper
Creates new Dom element(s) and inserts them after el
| insertBefore(`HTMLElement el`, `Object o`, [`Boolean returnElement`]) : HTMLElement | DomHelper
Creates new Dom element(s) and inserts them before el
| insertHtml(`String where`, `HTMLElement el`, `String html`) : HTMLElement | DomHelper
Inserts an HTML fragment into the Dom
| overwrite(`HTMLElement el`, `Object o`, [`Boolean returnElement`]) : HTMLElement | DomHelper
Creates new Dom element(s) and overwrites the contents of el with them

## Public Events

This class has no public events.

## Property Details

### useDom

`public Boolean useDom`
True to force the use of DOM instead of html fragments
This property is defined by DomHelper.

## Method Details

### append

`public function append(`HTMLElement el`, `Object o`, [`Boolean returnElement`])`
Creates new Dom element(s) and appends them to el
Parameters:

- `el` : HTMLElement
  The context element
- `o` : Object
  The Dom object spec (and children)
- `returnElement` : Boolean
  (optional) true to return a YAHOO.ext.Element

Returns:

- `HTMLElement`
  The new node

This method is defined by DomHelper.

### applyStyles

`public function applyStyles(`String/HTMLElement el`, `String/Object/Function styles`)`
Applies a style specification to an element
Parameters:

- `el` : String/HTMLElement
  The element to apply styles to
- `styles` : String/Object/Function
  A style specification string eg "width:100px", or object in the form {width:"100px"}, or a function which returns such a specification.

Returns:

- `void`

This method is defined by DomHelper.

### createTemplate

`public function createTemplate(`Object o`)`
Creates a new YAHOO.ext.DomHelper.Template from the Dom object spec
Parameters:

- `o` : Object
  The Dom object spec (and children)

Returns:

- `YAHOO.ext.DomHelper.Template`
  The new template

This method is defined by DomHelper.

### insertAfter

`public function insertAfter(`HTMLElement el`, `Object o`, [`Boolean returnElement`])`
Creates new Dom element(s) and inserts them after el
Parameters:

- `el` : HTMLElement
  The context element
- `o` : Object
  The Dom object spec (and children)
- `returnElement` : Boolean
  (optional) true to return a YAHOO.ext.Element

Returns:

- `HTMLElement`
  The new node

This method is defined by DomHelper.

### insertBefore

`public function insertBefore(`HTMLElement el`, `Object o`, [`Boolean returnElement`])`
Creates new Dom element(s) and inserts them before el
Parameters:

- `el` : HTMLElement
  The context element
- `o` : Object
  The Dom object spec (and children)
- `returnElement` : Boolean
  (optional) true to return a YAHOO.ext.Element

Returns:

- `HTMLElement`
  The new node

This method is defined by DomHelper.

### insertHtml

`public function insertHtml(`String where`, `HTMLElement el`, `String html`)`
Inserts an HTML fragment into the Dom
Parameters:

- `where` : String
  Where to insert the html in relation to el - beforeBegin, afterBegin, beforeEnd, afterEnd.
- `el` : HTMLElement
  The context element
- `html` : String
  The HTML fragmenet

Returns:

- `HTMLElement`
  The new node

This method is defined by DomHelper.

### overwrite

`public function overwrite(`HTMLElement el`, `Object o`, [`Boolean returnElement`])`
Creates new Dom element(s) and overwrites the contents of el with them
Parameters:

- `el` : HTMLElement
  The context element
- `o` : Object
  The Dom object spec (and children)
- `returnElement` : Boolean
  (optional) true to return a YAHOO.ext.Element

Returns:

- `HTMLElement`
  The new node

This method is defined by DomHelper.

yui-ext - Copyright © 2006 Jack Slocum. | Yahoo! UI - Copyright © 2006 Yahoo! Inc.
All rights reserved.